: Class SourceProperties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## AsciiDatabase
Class SourceProperties

    java.lang.Object
      |
      +--AsciiDatabase.SourceProperties

All Implemented Interfaces:
  Serializable

final class SourceProperties
extends Object
implements Serializable

Properties of an individual column as it is read from the data file. Many rows of table data can be obtains from one block of data from the input file. This class describes the format of one column within one row of data obtains from a block. The class ColumnProperties describes the output format for all rows of one column. ColumnOptions are applied to each row within a block independently.

Author:
  chris.studholme@utoronto.ca
See Also:
  Serialized Form

Field Summary
`int` | `offset`
`ColumnOption[]` | `options`
`int` | `roffset` real offset
`int` | `rsize` real size
`int` | `size`
`int` | `type`

Constructor Summary
`(package private)` | `SourceProperties()`

Method Summary
`int` | `hashCode()`
`static int` | `roll(int i, int count)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### type

    public int type

### size

    public int size

### offset

    public int offset

### rsize

    public transient int rsize

  real size

### roffset

    public transient int roffset

  real offset

### options

    public ColumnOption[] options

Constructor Detail

### SourceProperties

    SourceProperties()

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### roll

    public static final int roll(int i,
                                 int count)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD